Subject: WebDAV SEARCH Last Call over

From: Julian Reschke <[email-masked]>
Date: Tue, 12 Aug 2008 22:02:42 +0200

Hi,

the IETF Last Call for WebDAV SEARCH ended yesterday, and the following 
points were raised:

1) some editorial nits ("SHOULD not" instead of "SHOULD NOT", an XML 
namespace using a domain name not reserved for examples)

2) missing statement about safeness of SEARCH method

3) John Barone's proposal to relax the server requirement for sorting 
truncated results (see thread starting at 
<http://lists.w3.org/Archives/Public/w3c-dist-auth/2008JulSep/0016.html>).

I have fixed 1) and 2) in my "latest" version; here are the diffs:

-- snip --

Section 2.2., paragraph 0:
OLD:

  2.2.  The Request

NEW:

     SEARCH is a safe method; it does not have any significance other than
     executing a query and returning a query result (see [RFC2616],
     Section 9.1.1).

  2.2.  The Request

Section 5.19.9., paragraph 1:
OLD:

     <D:basicsearchschema xmlns:D="DAV:"
       xmlns:xs="http://www.w3.org/2001/XMLSchema">
       <D:properties>
         <D:propdesc>
           <D:prop><D:getcontentlength/></D:prop>
           <D:datatype><xs:nonNegativeInteger/></D:datatype>
           <D:searchable/><D:selectable/><D:sortable/>
         </D:propdesc>
         <D:propdesc>
           <D:prop><D:getcontenttype/><D:displayname/></D:prop>
           <D:searchable/><D:selectable/><D:sortable/>
         </D:propdesc>
         <D:propdesc>
           <D:prop><fstop xmlns="http://jennicam.org"/></D:prop>
           <D:selectable/>
         </D:propdesc>
         <D:propdesc>
           <D:any-other-property/>
           <D:searchable/><D:selectable/>
         </D:propdesc>
       </D:properties>
       <D:operators>
         <D:opdesc>
           <D:like/><D:operand-property/><D:operand-literal/>
         </D:opdesc>
         <D:opdesc allow-pcdata="yes">
           <D:contains/>
         </D:opdesc>
       </D:operators>
     </D:basicsearchschema>

NEW:

     <D:basicsearchschema xmlns:D="DAV:"
       xmlns:xs="http://www.w3.org/2001/XMLSchema">
       <D:properties>
         <D:propdesc>
           <D:prop><D:getcontentlength/></D:prop>
           <D:datatype><xs:nonNegativeInteger/></D:datatype>
           <D:searchable/><D:selectable/><D:sortable/>
         </D:propdesc>
         <D:propdesc>
           <D:prop><D:getcontenttype/><D:displayname/></D:prop>
           <D:searchable/><D:selectable/><D:sortable/>
         </D:propdesc>
         <D:propdesc>
           <D:prop><fstop xmlns="http://ns.example.org"/></D:prop>
           <D:selectable/>
         </D:propdesc>
         <D:propdesc>
           <D:any-other-property/>
           <D:searchable/><D:selectable/>
         </D:propdesc>
       </D:properties>
       <D:operators>
         <D:opdesc>
           <D:like/><D:operand-property/><D:operand-literal/>
         </D:opdesc>
         <D:opdesc allow-pcdata="yes">
           <D:contains/>
         </D:opdesc>
       </D:operators>
     </D:basicsearchschema>

Section 8., paragraph 1:
OLD:

     Query grammars are identified by URIs.  Applications SHOULD not
     attempt to retrieve these URIs even if they appear to be retrievable
     (for example, those that begin with "http://")

NEW:

     Query grammars are identified by URIs.  Applications SHOULD NOT
     attempt to retrieve these URIs even if they appear to be retrievable
     (for example, those that begin with "http://")

-- snip --

...see also 
<http://greenbytes.de/tech/webdav/draft-reschke-webdav-search-latest.html> 
and 
<http://greenbytes.de/tech/webdav/draft-reschke-webdav-search-latest-from-previous.diff.html>.

With respect to point 3, I'm willing to follow John's proposal to relax 
the MUST to a SHOULD. Feedback on this one appreciated, in particular if 
somebody feels strongly about it and doesn't want it to be changed.

BR, Julian

---

From: Julian Reschke <[email-masked]>
Date: Sun, 17 Aug 2008 21:39:38 +0200

Julian Reschke wrote:
> ...
> ...

For now I have changed the text to say "SHOULD", see 
<http://greenbytes.de/tech/webdav/draft-reschke-webdav-search-latest.html#rfc.section.5.17.1>.

In absence of other feedback I'll submit this one as draft 18 sometime 
next week.

Best regards, Julian

---

From: Julian Reschke <[email-masked]>
Date: Sat, 30 Aug 2008 11:54:09 +0200

FYI:

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 	Title           : Web Distributed Authoring and Versioning (WebDAV) SEARCH
> 	Author(s)       : J. Reschke, et al.
> 	Filename        : draft-reschke-webdav-search-18.txt
> 	Pages           : 62
> 	Date            : 2008-08-30
> 
> This document specifies a set of methods, headers and properties
> composing WebDAV SEARCH, an application of the HTTP/1.1 protocol to
> efficiently search for DAV resources based upon a set of client-
> supplied criteria.Editorial Note (To be removed by RFC Editor before
> publication)
> 
> Please send comments to the Distributed Authoring and Versioning
> (WebDAV) DASL mailing list at <mailto:[email-masked]>, which
> may be joined by sending a message with subject "subscribe" to
> <mailto:[email-masked]>.  Discussions of the WebDAV
> DASL mailing list are archived at
> <http://lists.w3.org/Archives/Public/www-webdav-dasl/>.
> 
> An issues list and XML and HTML versions of this draft are available
> from <http://greenbytes.de/tech/webdav/#draft-reschke-webdav-search>.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-reschke-webdav-search-18.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

>> ...
>> With respect to point 3, I'm willing to follow John's proposal to 
>> relax the MUST to a SHOULD. Feedback on this one appreciated, in 
>> particular if somebody feels strongly about it and doesn't want it to 
>> be changed.
>> ...
>